OESF Portables Forum
Everything Else => Zaurus Distro Support and Discussion => Distros, Development, and Model Specific Forums => Archived Forums => Angstrom & OpenZaurus => Topic started by: dansawyer on July 24, 2005, 11:39:07 pm
-
All,
I am confused about the status of the 3.5.3 kernel on 5500s. Mine is definatly broken. There have been many e-mails about fixes etc, however nothing definitive.
I suggest we keep a status thread.
Thanks,
Dan
-
All,
I am confused about the status of the 3.5.3 kernel on 5500s. Mine is definatly broken. There have been many e-mails about fixes etc, however nothing definitive.
I suggest we keep a status thread.
Thanks,
Dan
[div align=\"right\"][{POST_SNAPBACK}][/a][/div] (http://index.php?act=findpost&pid=89372\")
As your post is absolutely worthless as a bug report (no problem description, no version info, etc):
[a href=\"http://openzaurus.org/wordpress/2005/06/30/collie-kernel-update/]http://openzaurus.org/wordpress/2005/06/30...-kernel-update/[/url]
use that and file a bug in the bugtracker (bugs.openembedded.org) if problems persist, instead of expecting the developers to check every forum in the world for problems. If you don't want to file bugs in the bugtracker, you don't have the right to complain
-
Please don't be so narrow. It is very clear the e-mail is about the collie suspend resume bug. It is a simple question about status. It is most definatly not a complaint. The bug has been reported many times. It is not usefull to re-report the same bug. My question is really very simple. Do you have any information on that status?
Dan
-
As far as I can make out there are two seperate things which might happen:
1. It works fine, off you go.
2. It hangs with the last message being something along the lines of "Configuring update-modules"
Now the question is why does it work for some people and not for others? Those who have had it work, did you have a vanilla install, with no extra kernel modules, etc.? Same question to those for whom it doesn't work.
I'm just going to grab a coffee then I'll see what update-modules actually does and see if I can track it down. In the fullness of time I may even get around to flashing my collie (if I can find it)
Si
-
Contents of update-modules.postinst:
if [ "x$D" != "x" ]; then
exit 1
fi
update-modules
/etc/init.d/modutils.sh
Contents of update-modules:
#!/bin/sh
#
# This is the update-modules script for Debian GNU/Linux.
# Copyright 1998-2001 Wichert Akkerman
# Licensed under the GNU GPL, version 2
#
MODCONFFILE=/etc/modules.conf
MODCONFTMPFILE="${MODCONFFILE}.$$"
MODULESFILE=/etc/modules
MODULESTMPFILE="${MODULESFILE}.$$"
ARCHDIR=/etc/modutils/arch
CPUDIR=/etc/modutils/cpu
HEADER="### This file is automatically generated by update-modules"
set -e
if [ "$1" = "force" ]; then
force=1
else
force=
fi
# Reset the sorting order since we depend on it
LC_COLLATE=C
export LC_COLLATE
depdir()
{
dep=`grep '[[:space:]]*depfile' "${MODCONFFILE}" | tail -n 1 | sed -e 's/depfile=//' -e 's,/[^/]*$,,'`
if [ -z "$dep" ]; then
dep="/lib/modules/`uname -r`"
fi
echo $dep
}
arch() {
local model=`uname -m`
case $model in
i[0-9]86) model=i386;;;
sun4u) model=sparc64;;;
arm*) model=arm;;;
ppc) model=powerpc;;;
esac
echo $model
}
archmodel() {
local arch=`arch`
local model=""
if [ $arch = "m68k" ]; then
if [ -f /proc/hardware ]; then
model=`sed -ne 's/^Model:[[:space:]]*//p' /proc/hardware`
case $model in
Atari*) model="atari";;;
Amiga*) model="amiga";;;
Macintosh*) model="mac";;;
Motorola*) model="MVME";;;
*) model="generic";;;
esac
model=".${model}"
else
echo "/proc/hardware does not exist, assuming general m68k system"
model=".generic"
fi
elif [ $arch = "powerpc" ]; then
if [ -f /proc/cpuinfo ]; then
model=`sed -ne 's/^machine[[:space:]]*:[[:space:]]*//p' /proc/cpuinfo`
case $model in
Amiga*) model="apus";;;
Power*) model="pmac";;;
*) model="generic";;;
esac
model=".${model}"
else
echo "/proc/cpuinfo does not exist, assuming general powerpc system"
model=".generic"
fi
fi
echo "${arch}${model}"
}
checkoverwrite() {
local cfgfile="$1"
if [ -f "$cfgfile" ]; then
if ! sed -ne 1p "$cfgfile" | grep -q "^$HEADER"; then
echo "Error: the current $cfgfile is not automatically generated." >&2
if [ -z "$force" ]; then
echo "Use \"update-modules force\" to force (re)generation."
exit 1
else
echo "force specified, (re)generating file anyway."
fi
fi
fi
}
createfile() {
cat < "$1"
$HEADER"
#
# Please do not edit this file directly. If you want to change or add
# anything please take a look at the files in /etc/modutils and read
# the manpage for update-modules.
#
EOF
}
addfile() {
local src="$1"
local tgt="$2"
echo "### update-modules: start processing $src" >> "$tgt"
if [ -x "$src" ]; then
if ! "$src" >> "$tgt"; then
echo "Error while executing $src, aborting" >&2
exit 1
fi
else
cat "$src" >> "$tgt"
fi
cat <> "$tgt"
### update-modules: end processing $cfg
EOF
}
checkoverwrite "$MODCONFFILE"
if [ 0 -ne "`id -u`" ]; then
echo "You have to be root to do this." >&2
exit 2
fi
model=`archmodel`
oldmodel=$model
while [ ! -f "${ARCHDIR}/${model}" ]; do
oldmodel=$model
model=`echo $oldmodel | sed -e 's/\.[^.]\+//'`
if [ "$model" = "$oldmodel" ]; then
break
fi
echo "Configuration for $oldmodel not found, trying $model"
done
CONF="${ARCHDIR}/${model}"
if [ ! -f "$CONF" ]; then
## echo "Architecture-specific modutils configuration not found, using defaults"
CONF="${ARCHDIR}/generic"
fi
[ -e "$MODCONFFILE" ] && cp -f "$MODCONFFILE" "${MODCONFFILE}.old"
createfile "$MODCONFTMPFILE"
createfile "$MODULESTMPFILE"
for cfg in /etc/modutils/* $CONF; do
if [ -f "$cfg" ]; then # this check is necesarry to skip /etc/modutils/archs
if echo $cfg | grep -q '\.dpkg-[a-z]*\|~$'; then
true
elif echo $cfg | grep -q '\.conf$'; then
addfile "$cfg" "$MODCONFTMPFILE"
else
addfile "$cfg" "$MODULESTMPFILE"
fi
fi
done
mv "$MODCONFTMPFILE" "$MODCONFFILE"
mv "$MODULESTMPFILE" "$MODULESFILE"
# We also call depmod here to stop insmod from complaining that modules.conf
# is more recent then modules.dep
#
if [ -d "`depdir`" -a -f /proc/modules ]
then
depmod -a || true
fi
exit 0
Contents of /etc/init.d/modutils.sh:
#!/bin/sh
[ -f /proc/modules ] || exit 0
[ -e /sbin/depmod ] || exit 0
[ -f /etc/modules ] || exit 0
[ "$VERBOSE" != no ] && echo "Calculating module dependencies ..."
depmod -Ae
[ "$VERBOSE" != no ] && echo -n "Loading modules: "
(cat /etc/modules; echo; ) |
while read module args
do
case "$module" in
\#*|"") continue;;
esac
[ "$VERBOSE" != no ] && echo -n "$module "
modprobe $module $args >/dev/null 2>&1
done
[ "$VERBOSE" != no ] && echo
exit 0
So, someone with the beast want to start some debugging....?
Si
-
Dan, if you can afford to reflash, I recommend the latest Hentges ROM which incorporates the apm-bugfree kernel for Collie. OpenZaurus 3.5.4 is still a couple of weeks away.
-
Thanks,
I tried the Hentges Rom. It appears to work.
As a question: Does the fix to the apm collie bug involve both zImage and initrd.bin ?
Thanks,
Dan
-
Thanks,
I tried the Hentges Rom. It appears to work.
As a question: Does the fix to the apm collie bug involve both zImage and initrd.bin ?
Thanks,
Dan
[div align=\"right\"][a href=\"index.php?act=findpost&pid=89594\"][{POST_SNAPBACK}][/a][/div]
In this case yes. The new kernel (which contains the fix) doesn't work with a too old initrd.bin so you are forced to upgrade both.
-
As your post is absolutely worthless as a bug report (no problem description, no version info, etc):
http://openzaurus.org/wordpress/2005/06/30...-kernel-update/ (http://openzaurus.org/wordpress/2005/06/30/collie-kernel-update/)
use that and file a bug in the bugtracker (bugs.openembedded.org) if problems persist, instead of expecting the developers to check every forum in the world for problems. If you don't want to file bugs in the bugtracker, you don't have the right to complain
[div align=\"right\"][{POST_SNAPBACK}][/a][/div] (http://index.php?act=findpost&pid=89419\")
Koen, first of all i have observed your postings to people with problems and it is clear to all that you have a attitude problem, or are a fool with a throbbing hydrocephalic head.
First of all forums and mailing lists are for discussing bugs too, it is a place where developers are gathered and can centrally discuss problems people have. People are perfectly permitted to post bugs to this list and should not be discouraged, developers are duty bound to check forums too for bug reports. Otherwise please tell me why as a developer are you on these forums, is it just so that you can redicule people to boost your ego?
Lastly you would be wise to learn of people like mikeyl who are allways curteous to people with problems, just see the respect he has from people.
So change your attitude and try to understand people with problems instead of acting like a Derek Smart clone and insulting your users.
[a href=\"http://en.wikipedia.org/wiki/Derek_Smart]http://en.wikipedia.org/wiki/Derek_Smart[/url]
http://www.werewolves.org/~follies/archive...meWarAbout.html (http://www.werewolves.org/~follies/archives/1About/WhatIsFlameWarAbout.html)
Cheers!
-
People are perfectly permitted to post bugs to this list and should not be discouraged, developers are duty bound to check forums too for bug reports. [div align=\"right\"][a href=\"index.php?act=findpost&pid=89779\"][{POST_SNAPBACK}][/a][/div]
Que? Bugtrackers are meant for that. How should I (or any developer) know about every forum in the world, where people *might* be posting bugs? I'm not against people discussing bugs and solutions on forums, but it seems that this forum has a reputation of not using bugtrackers and whining about stuff not getting fixed. I've heard several times 'this is such an obvious bug, I'm not going to submit it' and discovering that the bug is unknown to the maintainer in question. Even worse, everytime someone mentions 'bugzilla' or 'mailinglist' he (or she) gets snide remarks about forums being the absolute solution and developers are obliged to check the forums. I certainly didn't sign any contract stating those terms. But then again, I don't bite the hand that feeds me either, as you just did.
-
Just FYI: The Akita keymap fix posted by someone in this forum (great job BTW )was unknown to me.
If it weren't for mickeyl (how showed me the posting) the keymap would still be broken on Akita even if the simple fix was posted weeks ago.
No Developer is "duty bound" to check every single post on every Z forum.
In fact, as this is an OSS project, no developer has any "duty" at all.
We hack the Z's for fun but that's it.
Posting about bugs on a forum is not a problem. Not using the bug trackers, however, is.
-
Que? Bugtrackers are meant for that. How should I (or any developer) know about every forum in the world, where people *might* be posting bugs? I'm not against people discussing bugs and solutions on forums, but it seems that this forum has a reputation of not using bugtrackers and whining about stuff not getting fixed. I've heard several times 'this is such an obvious bug, I'm not going to submit it' and discovering that the bug is unknown to the maintainer in question. Even worse, everytime someone mentions 'bugzilla' or 'mailinglist' he (or she) gets snide remarks about forums being the absolute solution and developers are obliged to check the forums. I certainly didn't sign any contract stating those terms. But then again, I don't bite the hand that feeds me either, as you just did.
[div align=\"right\"][a href=\"index.php?act=findpost&pid=89791\"][{POST_SNAPBACK}][/a][/div]
1. First of all there is no need to check every form on the world, this is THE forum for zaurus developement.
2. I never meant that forums are a absolute solution, i just mentioned that just because a user posts about a bug he/she has encountered to the forums, there is no need for you to blow a gasket and start lambasting the poor person as you have done repeatedly and consistently in the past. Gentoo forums are a example where bug reports are frequently discussed, and it is tolerated. POssibly there are more mature developers on those forums.
3. I didnt mean obliged in the sense as a contractual obligation (english is not my first language, so there maybe errors in my wording), we all do this for fun and not for profit, to take pride in what we are doing, so we as developers should be happy whenever a user has a problem and try to help him, instead of foul mouthing him. Otherwise OZ will forever remain a geeks tool, because every newbie gets foul mouthed off the list by you, just see the response most of the people who get blamed by you give, they are understandably confused and hurt, and you are possibly doing more harm than the considerable amount of good work you have done.
4. You seem to like to continue to show your swollen headedness, I did not "bite the hand that feeds me". I have a several choices, i can use the sharp rom, i can use pocket workstation (as i am doing), i can use the excellent pdaxrom, i can use the excellent qtopia beta rom, so just dont imagine that you are the only "hand that is feeding me" :-)
5. If you cant control your attitude, then just keep quiet stick to developement, and let other people who are more curteous tell the people with problems what to do in a nice curteous manner.
-
Enough.
1. First of all there is no need to check every form on the world, this is THE forum for zaurus developement.
And koen has an iPAQ, not a Zaurus...
2. I never meant that forums are a absolute solution, i just mentioned that just because a user posts about a bug he/she has encountered to the forums, there is no need for you to blow a gasket and start lambasting the poor person as you have done repeatedly and consistently in the past. Gentoo forums are a example where bug reports are frequently discussed, and it is tolerated. POssibly there are more mature developers on those forums.
It's very well to post about having encountered a bug, however some of these posts have turned into a long stream of posts asking again and again why a bug hasn't been fixed. This is where someone should either add the bug to the bugtracker, or try to fix it themselves and let people know about it/their progress/etc.
Simon
-
someone with collie which hangs on 'configuring modules' with r21 kernel can update modules with "upgrades/collie" ones and then reflash r21 kernel?
do a backup before...